## elpa-subed 0.0.1+git20210228.49ddccc

=== Makefile ===
clean:
	find . -name "*.elc" -delete

test:
	emacs -batch -f package-initialize -L . -f buttercup-run-discover
	emacs --no-init-file --batch \
		  --eval "(require 'package-lint)" \
	      --file package-lint-batch-and-exit \
	      ./subed/subed.el
	emacs --quick --batch --eval "(checkdoc-file \"subed/subed.el\")"
	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-config.el\")"
	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-mpv.el\")"
	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-srt.el\")"

test-compile:
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed.el\"))"
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed-config.el\"))"
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed-common.el\"))"
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed-mpv.el\"))"
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed-srt.el\"))"
	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
	                                     (byte-compile-file \"subed/subed-debug.el\"))"
	make clean

=== debian/changelog ===
elpa-subed (0.0.1+git20210228.49ddccc-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Tue, 09 Mar 2021 19:00:30 +0000

elpa-subed (0.0.1+git20210228.49ddccc-1) unstable; urgency=medium

  * Initial package (Closes: #984640)
  
 -- Martin <debacle@debian.org>  Sat, 06 Mar 2021 19:57:42 +0000

=== debian/control ===
Source: elpa-subed
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.5.0
Homepage: https://github.com/rndusr/subed/
Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-subed.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-subed

Package: elpa-subed
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, mpv
Enhances: emacs
Description: Emacs mode for editing subtitles while playing the corresponding video
 subed is an Emacs major mode for editing subtitles while playing
 the corresponding video with mpv. At the moment, the only
 supported formats are SubRip (.srt) and WebVTT (.vtt).

## elpa-subed 1.0.29

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,42 @@
+# SPDX-FileCopyrightText: 2019-2020 The subed Authors
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+# Putting compile before test results in an invalid-function error about subed-for-each-subtitle
+all: clean autoloads test compile
+
 clean:
 	find . -name "*.elc" -delete
+	rm -f subed/subed-autoloads.el
+	rm -f coverage/.*.json
 
-test:
+test: autoloads test-coverage package-lint checkdoc
+
+test-coverage:
+	mkdir -p coverage
+	UNDERCOVER_FORCE=true emacs -batch -L . -f package-initialize -f buttercup-run-discover
+
+test-only:
 	emacs -batch -f package-initialize -L . -f buttercup-run-discover
-	emacs --no-init-file --batch \
+
+package-lint:
+	emacs --no-init-file -f package-initialize --batch \
 		  --eval "(require 'package-lint)" \
 	      --file package-lint-batch-and-exit \
 	      ./subed/subed.el
+checkdoc:
 	emacs --quick --batch --eval "(checkdoc-file \"subed/subed.el\")"
 	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-config.el\")"
 	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-mpv.el\")"
 	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-srt.el\")"
+	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-vtt.el\")"
+	emacs --quick --batch --eval "(checkdoc-file \"subed/subed-ass.el\")"
 
-test-compile:
+autoloads:
+	emacs --quick --batch --eval "(progn (setq generated-autoload-file (expand-file-name \"subed-autoloads.el\" \"subed\") backup-inhibited t) \
+	(update-directory-autoloads \"./subed\"))"
+
+compile:
 	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
 	                                     (byte-compile-file \"subed/subed.el\"))"
 	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
@@ -24,5 +48,13 @@
 	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
 	                                     (byte-compile-file \"subed/subed-srt.el\"))"
 	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
+	                                     (byte-compile-file \"subed/subed-vtt.el\"))"
+	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
+	                                     (byte-compile-file \"subed/subed-ass.el\"))"
+	emacs --quick --batch --eval "(progn (add-to-list 'load-path (expand-file-name \"subed\" default-directory)) \
 	                                     (byte-compile-file \"subed/subed-debug.el\"))"
-	make clean
+
+test-compile: compile clean
+
+test-emacs:
+	emacs -Q -L ./subed --eval "(require 'subed-autoloads)"

=== debian/changelog ===
elpa-subed (1.0.29-1) unstable; urgency=medium

  * New upstream version
    - upstream changed from Random User to Sacha Chua
  * Add debian/watch

 -- Martin <debacle@debian.org>  Sat, 18 Feb 2023 09:03:03 +0000

=== debian/control ===
Source: elpa-subed
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.5.0
Homepage: https://github.com/sachac/subed/
Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-subed.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-subed

Package: elpa-subed
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, mpv
Enhances: emacs
Description: Emacs mode for editing subtitles while playing the corresponding video
 subed is an Emacs major mode for editing subtitles while playing the
 corresponding video with mpv. The supported formats are SubRip (.srt)
 and WebVTT (.vtt). There is also experimental support for Advanced
 SubStation Alpha (.ass) and Tab-separated values (.tsv)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

# deactivate upstream Makefile
override_dh_auto_build:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/elpa-subed-$1\.tar\.gz/ \
  https://github.com/sachac/subed/tags .*/v?(\d\S+)\.tar\.gz

## elpa-subed 1.2.22

=== debian/changelog ===
elpa-subed (1.2.22-1) unstable; urgency=medium

  * New upstream version 1.2.22
  * Add d/salsa-ci.yml with default template
  * Use default gz compression in d/gbp.conf to be consistent with
    upstream

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 21 Dec 2024 14:39:22 -0800

elpa-subed (1.2.21-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches for the new version
  * Mark patch as "Forwarded: not-needed"

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 12 Dec 2024 23:43:16 -0800

elpa-subed (1.2.17-1) unstable; urgency=medium

  * New upstream version

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 03:11:59 -0800

elpa-subed (1.2.16-1) unstable; urgency=medium

  * New upstream version (Closes: #1084797)
  * Add d/gbp.conf matching current practice
  * Modernize d/watch with substitute strings to be more robust
  * Add buttercup to Build-Depends to enable tests
  * Add ffmpeg to Build-Depends which is required by the tests
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Remove unused license definitions for GPL-2+
  * Update standards version to 4.7.0; no changes needed
  * Add `Rules-Requires-Root: no' in d/control
  * Add `Testsuite: autopkgtest-pkg-elpa' in d/control
  * Add myself to uploaders in d/control
  * Update copyright year and add myself in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 22 Oct 2024 10:54:57 -0700

elpa-subed (1.0.29-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:07:53 +0900

elpa-subed (1.0.29-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:30:04 +0900

## elpa-subed 1.2.25

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,13 @@
 
 test-coverage:
 	mkdir -p coverage
-	UNDERCOVER_FORCE=true emacs -batch -L . -f package-initialize -f buttercup-run-discover
+	UNDERCOVER_FORCE=true emacs -Q -batch -L . -f package-initialize -f buttercup-run-discover
+
+test-some:
+	emacs -Q -batch -L . -f package-initialize -f buttercup-run-discover --pattern "${PATTERN}" --no-skip
 
 test-only:
-	emacs -batch -f package-initialize -L . -f buttercup-run-discover
+	emacs -Q -batch -f package-initialize -L . -f buttercup-run-discover
 
 package-lint:
 	emacs --no-init-file -f package-initialize --batch \
@@ -58,3 +61,6 @@
 
 test-emacs:
 	emacs -Q -L ./subed --eval "(require 'subed-autoloads)"
+
+watch:
+	nodemon -w subed -w tests -e el --exec make test

=== debian/changelog ===
elpa-subed (1.2.25-1) unstable; urgency=medium

  * New upstream version 1.2.25
  * Drop fix-screenshot-path.patch; applied upstream

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 30 Jan 2025 22:16:47 -0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-elpa
-Standards-Version: 4.5.0
+Uploaders: Martin <debacle@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
+Build-Depends: debhelper-compat (= 13),
+ dh-elpa,
+ elpa-buttercup,
+ ffmpeg,
+Standards-Version: 4.7.0
 Homepage: https://github.com/sachac/subed/
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-subed.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-subed
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-subed
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/sachac/subed/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## elpa-subed 1.3.1

=== debian/changelog ===
elpa-subed (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to version 5 format
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Rules-Require-Root: no'; now default
  * Drop `Priority: optional; now default

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 01:53:16 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: elpa-subed
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Martin <debacle@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
@@ -8,11 +7,10 @@
  dh-elpa,
  elpa-buttercup,
  ffmpeg,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/sachac/subed/
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpa-subed.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpa-subed
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-subed

## elpa-subed 1.4.1

=== debian/changelog ===
elpa-subed (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Add upstream-vcs-tag in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 16 Feb 2026 21:25:54 -0800

=== debian/watch ===
Version: 5

Template: Github
Owner: sachac
Project: subed
